use clap::Parser;

use axum::{
    routing::get,
    Router,
};

mod cli;
mod error;
mod webserver;
use webserver::{handler, serve_socket};

#[tokio::main]
async fn main() -> Result<(), error::Error> {
    // env_logger::init();

    let args = cli::Cli::parse();
    let path = args.path.clone();

    let _ = tokio::fs::remove_file(&path).await;
    tokio::fs::create_dir_all(path.parent().unwrap())
        .await
        .unwrap();

    let app = Router::new().route("/", get(handler));
    serve_socket(&path, app).await?;

    Ok(())
}
